InfoObjectDescriptionIterator
Date: 2013-06-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.storagelayer.storagemanagementservice.impl.rs
Class InfoObjectDescriptionIterator

    java.lang.Object
      org.gcube.contentmanagement.storagelayer.storagemanagementservice.impl.filter.SMSIterator<InfoObjectDescription,java.lang.String>
          org.gcube.contentmanagement.storagelayer.storagemanagementservice.impl.rs.InfoObjectDescriptionIterator

All Implemented Interfaces:
  java.util.Iterator<InfoObjectDescription>

    public class InfoObjectDescriptionIterator

extends SMSIterator<InfoObjectDescription,java.lang.String>

Author:
  Federico De Faveri defaveri@isti.cnr.it

Constructor Summary
`InfoObjectDescriptionIterator(GCUBELog logger, java.util.Iterator<java.lang.String> inputIterator, RawContentLocationConfig contentLocation, BasicStorageHints hints)`

Method Summary
`InfoObjectDescription` | `generateNext(java.lang.String input)`

Methods inherited from class org.gcube.contentmanagement.storagelayer.storagemanagementservice.impl.filter.SMSIterator
`hasNext, next, remove`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InfoObjectDescriptionIterator

    public InfoObjectDescriptionIterator(GCUBELog logger,
                                         java.util.Iterator<java.lang.String> inputIterator,
                                         RawContentLocationConfig contentLocation,
                                         BasicStorageHints hints)

Method Detail

### generateNext

    public InfoObjectDescription generateNext(java.lang.String input)

  Specified by:
    `generateNext` in class `SMSIterator<InfoObjectDescription,java.lang.String>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD